CREATE OR REPLACE TRIGGER TTCCOM010550_U
	AFTER UPDATE ON BAAN.TTCCOM010550
	REFERENCING NEW AS N OLD AS O
	FOR EACH ROW 
	BEGIN 
	 INSERT INTO BAAN.TQPACT001550
		(T$KEYC,T$TACT,T$NUM1,T$NUM2,T$NUM3,T$NUM4,T$DBL1,T$DBL2,T$REFCNTD,T$REFCNTU) 
	 VALUES (TO_CHAR(SYSDATE,'YYYY-MM-DD-HH24.MI.SS')||'.000000,'||'TCCOM010,550,'||
           :N.T$CUNO||',.......................    ', 'C',
            0,0,0,0,0.0,0.0,0,0);
	END;

CREATE OR REPLACE TRIGGER TTCCOM010550_I
	AFTER INSERT ON BAAN.TTCCOM010550
	REFERENCING NEW AS N
	FOR EACH ROW 
	BEGIN 
	 INSERT INTO BAAN.TQPACT001550
		(T$KEYC,T$TACT,T$NUM1,T$NUM2,T$NUM3,T$NUM4,T$DBL1,T$DBL2,T$REFCNTD,T$REFCNTU) 
	 VALUES (TO_CHAR(SYSDATE,'YYYY-MM-DD-HH24.MI.SS')||'.000000,'||'TCCOM010,550,'||
           :N.T$CUNO||',.......................    ', 'A',
            0,0,0,0,0.0,0.0,0,0);
	END;

CREATE OR REPLACE TRIGGER TTCCOM010550_D
	AFTER DELETE ON BAAN.TTCCOM010550
	REFERENCING OLD AS O
	FOR EACH ROW 
	BEGIN 
	 INSERT INTO BAAN.TQPACT001550
		(T$KEYC,T$TACT,T$NUM1,T$NUM2,T$NUM3,T$NUM4,T$DBL1,T$DBL2,T$REFCNTD,T$REFCNTU) 
	 VALUES (TO_CHAR(SYSDATE,'YYYY-MM-DD-HH24.MI.SS')||'.000000,'||'TCCOM010,550,'||
           :O.T$CUNO||',.......................    ', 'D',
            0,0,0,0,0.0,0.0,0,0);
	END;
